Endpoint
Overview
Update the name of a single media item. Works for both user-uploaded media and social audio.Request Body
The ID of the media item to update
The new name for the media item
Response
The updated media object
curl -X POST https://api.ugc.inc/media/update-name \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"id": "media_abc123",
"name": "my-video.mp4"
}'
{
"ok": true,
"code": 200,
"data": {
"id": "media_abc123",
"org_id": "org_xyz789",
"name": "my-video.mp4",
"tag": "featured",
"type": "video",
"url": "https://example.com/media/video.mp4",
"created_at": "2024-01-15T10:30:00.000Z",
"media_type": "user_media"
},
"message": "Name updated successfully"
}
Update the name of a media item
POST https://api.ugc.inc/media/update-name
curl -X POST https://api.ugc.inc/media/update-name \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"id": "media_abc123",
"name": "my-video.mp4"
}'
{
"ok": true,
"code": 200,
"data": {
"id": "media_abc123",
"org_id": "org_xyz789",
"name": "my-video.mp4",
"tag": "featured",
"type": "video",
"url": "https://example.com/media/video.mp4",
"created_at": "2024-01-15T10:30:00.000Z",
"media_type": "user_media"
},
"message": "Name updated successfully"
}